Index: npl/internetserver/bind/3link.sh
===================================================================
--- npl/internetserver/bind/3link.sh	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
+++ npl/internetserver/bind/3link.sh	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
@@ -0,0 +1,136 @@
+rm -f lwres_addr_parse.3
+ln -sf lwres_resutil.3 lwres_addr_parse.3
+rm -f lwres_buffer_add.3
+ln -sf lwres_buffer.3 lwres_buffer_add.3
+rm -f lwres_buffer_back.3
+ln -sf lwres_buffer.3 lwres_buffer_back.3
+rm -f lwres_buffer_clear.3
+ln -sf lwres_buffer.3 lwres_buffer_clear.3
+rm -f lwres_buffer_first.3
+ln -sf lwres_buffer.3 lwres_buffer_first.3
+rm -f lwres_buffer_forward.3
+ln -sf lwres_buffer.3 lwres_buffer_forward.3
+rm -f lwres_buffer_getmem.3
+ln -sf lwres_buffer.3 lwres_buffer_getmem.3
+rm -f lwres_buffer_getuint16.3
+ln -sf lwres_buffer.3 lwres_buffer_getuint16.3
+rm -f lwres_buffer_getuint32.3
+ln -sf lwres_buffer.3 lwres_buffer_getuint32.3
+rm -f lwres_buffer_getuint8.3
+ln -sf lwres_buffer.3 lwres_buffer_getuint8.3
+rm -f lwres_buffer_init.3
+ln -sf lwres_buffer.3 lwres_buffer_init.3
+rm -f lwres_buffer_invalidate.3
+ln -sf lwres_buffer.3 lwres_buffer_invalidate.3
+rm -f lwres_buffer_putmem.3
+ln -sf lwres_buffer.3 lwres_buffer_putmem.3
+rm -f lwres_buffer_putuint16.3
+ln -sf lwres_buffer.3 lwres_buffer_putuint16.3
+rm -f lwres_buffer_putuint32.3
+ln -sf lwres_buffer.3 lwres_buffer_putuint32.3
+rm -f lwres_buffer_putuint8.3
+ln -sf lwres_buffer.3 lwres_buffer_putuint8.3
+rm -f lwres_buffer_subtract.3
+ln -sf lwres_buffer.3 lwres_buffer_subtract.3
+rm -f lwres_conf_clear.3
+ln -sf lwres_config.3 lwres_conf_clear.3
+rm -f lwres_conf_get.3
+ln -sf lwres_config.3 lwres_conf_get.3
+rm -f lwres_conf_init.3
+ln -sf lwres_config.3 lwres_conf_init.3
+rm -f lwres_conf_parse.3
+ln -sf lwres_config.3 lwres_conf_parse.3
+rm -f lwres_conf_print.3
+ln -sf lwres_config.3 lwres_conf_print.3
+rm -f lwres_context_allocmem.3
+ln -sf lwres_context.3 lwres_context_allocmem.3
+rm -f lwres_context_create.3
+ln -sf lwres_context.3 lwres_context_create.3
+rm -f lwres_context_destroy.3
+ln -sf lwres_context.3 lwres_context_destroy.3
+rm -f lwres_context_freemem.3
+ln -sf lwres_context.3 lwres_context_freemem.3
+rm -f lwres_context_initserial.3
+ln -sf lwres_context.3 lwres_context_initserial.3
+rm -f lwres_context_nextserial.3
+ln -sf lwres_context.3 lwres_context_nextserial.3
+rm -f lwres_context_sendrecv.3
+ln -sf lwres_context.3 lwres_context_sendrecv.3
+rm -f lwres_endhostent.3
+ln -sf lwres_gethostent.3 lwres_endhostent.3
+rm -f lwres_endhostent_r.3
+ln -sf lwres_gethostent.3 lwres_endhostent_r.3
+rm -f lwres_freeaddrinfo.3
+ln -sf lwres_getaddrinfo.3 lwres_freeaddrinfo.3
+rm -f lwres_freehostent.3
+ln -sf lwres_getipnode.3 lwres_freehostent.3
+rm -f lwres_gabnrequest_free.3
+ln -sf lwres_gabn.3 lwres_gabnrequest_free.3
+rm -f lwres_gabnrequest_parse.3
+ln -sf lwres_gabn.3 lwres_gabnrequest_parse.3
+rm -f lwres_gabnrequest_render.3
+ln -sf lwres_gabn.3 lwres_gabnrequest_render.3
+rm -f lwres_gabnresponse_free.3
+ln -sf lwres_gabn.3 lwres_gabnresponse_free.3
+rm -f lwres_gabnresponse_parse.3
+ln -sf lwres_gabn.3 lwres_gabnresponse_parse.3
+rm -f lwres_gabnresponse_render.3
+ln -sf lwres_gabn.3 lwres_gabnresponse_render.3
+rm -f lwres_getaddrsbyname.3
+ln -sf lwres_resutil.3 lwres_getaddrsbyname.3
+rm -f lwres_gethostbyaddr.3
+ln -sf lwres_gethostent.3 lwres_gethostbyaddr.3
+rm -f lwres_gethostbyaddr_r.3
+ln -sf lwres_gethostent.3 lwres_gethostbyaddr_r.3
+rm -f lwres_gethostbyname.3
+ln -sf lwres_gethostent.3 lwres_gethostbyname.3
+rm -f lwres_gethostbyname2.3
+ln -sf lwres_gethostent.3 lwres_gethostbyname2.3
+rm -f lwres_gethostbyname_r.3
+ln -sf lwres_gethostent.3 lwres_gethostbyname_r.3
+rm -f lwres_gethostent_r.3
+ln -sf lwres_gethostent.3 lwres_gethostent_r.3
+rm -f lwres_getipnodebyaddr.3
+ln -sf lwres_getipnode.3 lwres_getipnodebyaddr.3
+rm -f lwres_getipnodebyname.3
+ln -sf lwres_getipnode.3 lwres_getipnodebyname.3
+rm -f lwres_getnamebyaddr.3
+ln -sf lwres_resutil.3 lwres_getnamebyaddr.3
+rm -f lwres_gnbarequest_free.3
+ln -sf lwres_gnba.3 lwres_gnbarequest_free.3
+rm -f lwres_gnbarequest_parse.3
+ln -sf lwres_gnba.3 lwres_gnbarequest_parse.3
+rm -f lwres_gnbarequest_render.3
+ln -sf lwres_gnba.3 lwres_gnbarequest_render.3
+rm -f lwres_gnbaresponse_free.3
+ln -sf lwres_gnba.3 lwres_gnbaresponse_free.3
+rm -f lwres_gnbaresponse_parse.3
+ln -sf lwres_gnba.3 lwres_gnbaresponse_parse.3
+rm -f lwres_gnbaresponse_render.3
+ln -sf lwres_gnba.3 lwres_gnbaresponse_render.3
+rm -f lwres_herror.3
+ln -sf lwres_hstrerror.3 lwres_herror.3
+rm -f lwres_lwpacket_parseheader.3
+ln -sf lwres_packet.3 lwres_lwpacket_parseheader.3
+rm -f lwres_lwpacket_renderheader.3
+ln -sf lwres_packet.3 lwres_lwpacket_renderheader.3
+rm -f lwres_net_ntop.3
+ln -sf lwres_inetntop.3 lwres_net_ntop.3
+rm -f lwres_nooprequest_free.3
+ln -sf lwres_noop.3 lwres_nooprequest_free.3
+rm -f lwres_nooprequest_parse.3
+ln -sf lwres_noop.3 lwres_nooprequest_parse.3
+rm -f lwres_nooprequest_render.3
+ln -sf lwres_noop.3 lwres_nooprequest_render.3
+rm -f lwres_noopresponse_free.3
+ln -sf lwres_noop.3 lwres_noopresponse_free.3
+rm -f lwres_noopresponse_parse.3
+ln -sf lwres_noop.3 lwres_noopresponse_parse.3
+rm -f lwres_noopresponse_render.3
+ln -sf lwres_noop.3 lwres_noopresponse_render.3
+rm -f lwres_sethostent.3
+ln -sf lwres_gethostent.3 lwres_sethostent.3
+rm -f lwres_sethostent_r.3
+ln -sf lwres_gethostent.3 lwres_sethostent_r.3
+rm -f lwres_string_parse.3
+ln -sf lwres_resutil.3 lwres_string_parse.3
Index: npl/internetserver/bind/bind-9.11.0-P2.tar.gz.asc
===================================================================
--- npl/internetserver/bind/bind-9.11.0-P2.tar.gz.asc	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
+++ npl/internetserver/bind/bind-9.11.0-P2.tar.gz.asc	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
@@ -0,0 +1,17 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1.4.11 (GNU/Linux)
+
+iQIcBAABAgAGBQJYUCK5AAoJEPGxG/Bc8C5XPaUP/im3ZqC7ZOM/RJZfoUwTj5py
+FIRoqoTqKY1sr824LSBAq//o7e1GzMpKk6LXLR0K7S0JRnIsEkTrTuu0t9nBGThZ
+aV4Kz2+LhRRkqgBuWxjyNQjDjdnBF19ChZ29Yto2r5M83ThRtvEHJnQ/+0CUIcpe
++Wcxx+zhWi4/snoDecs3Vi1ElcYADgvSmN9rLriY32IY8U7FeXQ0/bh0B/rnC/jJ
+8PZwjqOxUi6Mzu2QuuIwJwO10qbJ9Ayp3bVFi+ic8KvOZ58/RqYvF+Ts9I6Uar7c
+TvPSCRPonx3nvvm7quk4tXXFjPdjXlaW+ZMTCEU+ksJC319zCwN0aV1lcTyyiDQ5
+wIjnm8VI+5QaDeWW6/jQ9jPZrMyg9pe3nv83s/bilQUaiE+Jq1T/DiZ2ccBVWpA3
+vYLaoDxfZ2lumMzJc1Qe2gG/MFXKHdUkaheblWF+UX+4RqX8w+nOqwHq2dO4DArz
+m81VOKKORJV2t1nHan+ASNM5upijsVWmN76WxVcbDGh8sMF5+EFmF06kASVSQfvZ
+rbWRhmHWYZ8Y+efcapwi0+xwrnJi8NILZots2hsLwjCf/OJsUvpYqO7+YHNS+lua
+IEIOxps0QZ8plLS6ivGv1ZFb4B5Ri61vpprkBnnEgT3LlfZyF0JgE28zbrxqjkAi
+VVkee3EUTQypYjhVOMME
+=0APV
+-----END PGP SIGNATURE-----
Index: npl/internetserver/bind/bind-9.11.0-P2.tar.gz.sha1.asc
===================================================================
--- npl/internetserver/bind/bind-9.11.0-P2.tar.gz.sha1.asc	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
+++ npl/internetserver/bind/bind-9.11.0-P2.tar.gz.sha1.asc	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
@@ -0,0 +1,17 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1.4.11 (GNU/Linux)
+
+iQIcBAABAgAGBQJYUCK5AAoJEPGxG/Bc8C5XPaUP/im3ZqC7ZOM/RJZfoUwTj5py
+FIRoqoTqKY1sr824LSBAq//o7e1GzMpKk6LXLR0K7S0JRnIsEkTrTuu0t9nBGThZ
+aV4Kz2+LhRRkqgBuWxjyNQjDjdnBF19ChZ29Yto2r5M83ThRtvEHJnQ/+0CUIcpe
++Wcxx+zhWi4/snoDecs3Vi1ElcYADgvSmN9rLriY32IY8U7FeXQ0/bh0B/rnC/jJ
+8PZwjqOxUi6Mzu2QuuIwJwO10qbJ9Ayp3bVFi+ic8KvOZ58/RqYvF+Ts9I6Uar7c
+TvPSCRPonx3nvvm7quk4tXXFjPdjXlaW+ZMTCEU+ksJC319zCwN0aV1lcTyyiDQ5
+wIjnm8VI+5QaDeWW6/jQ9jPZrMyg9pe3nv83s/bilQUaiE+Jq1T/DiZ2ccBVWpA3
+vYLaoDxfZ2lumMzJc1Qe2gG/MFXKHdUkaheblWF+UX+4RqX8w+nOqwHq2dO4DArz
+m81VOKKORJV2t1nHan+ASNM5upijsVWmN76WxVcbDGh8sMF5+EFmF06kASVSQfvZ
+rbWRhmHWYZ8Y+efcapwi0+xwrnJi8NILZots2hsLwjCf/OJsUvpYqO7+YHNS+lua
+IEIOxps0QZ8plLS6ivGv1ZFb4B5Ri61vpprkBnnEgT3LlfZyF0JgE28zbrxqjkAi
+VVkee3EUTQypYjhVOMME
+=0APV
+-----END PGP SIGNATURE-----
Index: npl/internetserver/bind/bind-9.11.0-P2.tar.gz.sha256.asc
===================================================================
--- npl/internetserver/bind/bind-9.11.0-P2.tar.gz.sha256.asc	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
+++ npl/internetserver/bind/bind-9.11.0-P2.tar.gz.sha256.asc	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
@@ -0,0 +1,17 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1.4.11 (GNU/Linux)
+
+iQIcBAABCAAGBQJYUCK7AAoJEPGxG/Bc8C5X1wEQAL/xdFM5QslzZHR8UjN4u7SM
+1BRNcgDNuYYLVJFHkACNCf0SrCKwUsTgtvQRoWQDQm9qK+MKjMY6mQhI4BpKB4U6
+LJYty1RnffYzjnV0l4E/tQSpP0h69I9qUL3JiwvhUKpry0GY9pQNOoVV0GGhs+nl
+x2C4vg7C6wrJv5BkOoDOGSnFIGDLw8RuQTVbcEBFzqRVZrf/l+VVqQXADYqZGYxR
+STSsFFIAHaC2DWsRLZlk1ExrkK0IxTQf2RnyhtO+S2ez6f6LqmeWcmD2lvB061Vl
+etGvHmH1HBX+WJUgcT/mkivTaLWZsx0jSItwoec57Vc4aloK7kEhxEIzhcyhuHsP
+DPXq5K1b3Rgj2DCsNYlaoKih3PwBOiLMfETX7pTFnoujg8aDtKsCTK0Qeq97GE4p
+nP1R59fgMxTszTKMK4imSn4yJchgSn9koyqjDzFCaFfID2Hl9lJu1Uj9xAGa30Ua
+9+qIPBzPPyCfzOgG6Sfi3/kClDIPBkNQjVQdd0Sc3TY81jOY3+pZdDpyJyaJTPWa
+Dz7c6rIiLld4GDtAGDrxNilFxYZlsoSsqzN618OxVnbhRbPXU9A0R+AfAQCYb6lD
+accINbsUeQyq2KvLLqtUWZNtLSeOaZV2mxTXfNNWa1EGO99UrIg21KHKPuDeA1Bk
+FTwz/HU2j3OmD8Q3APC1
+=Qjei
+-----END PGP SIGNATURE-----
Index: npl/internetserver/bind/bind-9.11.0-P2.tar.gz.sha512.asc
===================================================================
--- npl/internetserver/bind/bind-9.11.0-P2.tar.gz.sha512.asc	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
+++ npl/internetserver/bind/bind-9.11.0-P2.tar.gz.sha512.asc	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
@@ -0,0 +1,17 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1.4.11 (GNU/Linux)
+
+iQIcBAABCgAGBQJYUCLIAAoJEPGxG/Bc8C5XUv0QAIY35S759GFg0N5IZkRwZZRb
+CGA/8qFNrnyEvucp2cAdetbTZ6qMQ9N5QwozypaJSi7Z70cQXtEShZU//buuBono
+5Cz+3IurHkuie20Y46Bg3EY4Uou4hAZHsw05l4YzL6F8jmqIFTYGwIN7+wQNbRhU
+9vnzPQ/57h7S1OV0+v7yOtoxmj0fNw6Tl55aRtl4LvTIjU2HBEFI6pQNi74Nww5w
+rK8vIrDwNj2Lzhe8STTqSJBh+vpdIVtQ6WsOdLw0D+PP8Qff50Fy6DLXyq0BDPF9
+G5rayt20mbak4fj/NFwlv7fg+bSInBE1eRBp4RZ8FRLqdgJQCcg1N/aGfliHvQed
+bLN+mj7htc7E8Jh0Uol3YvGFdrYtqQymv0D5t4/Rn9c1NuSsOhHeDhfavNCS8ncB
+HbQ+9vyAb5KxY+xm99pYdpprBB/k9FGpjA1Ja7xd+B9wY4FrMlzPtz1K+rqzO9vN
+8R/UaNuD1k7Bh50iUjw3xKo6SVgPl5QM9dENbHdZcsn614Bg+DTpvLOAdd/dDFU+
+J0sX8JimUCMrqDsHhytu4iFF7cHm4c7HGuN6j0HXD/3Lr4Q7iuSdL0nF2HKMZm+a
+Q86gMuyDPhs0ebdYrEGhPy+D8aZ/OGXHC01obVlqqT6dvzmvJ3ARHOfu48tJIEMd
+3Rffc4AhJlIG3t0mCXTB
+=bAvg
+-----END PGP SIGNATURE-----
Index: npl/internetserver/bind/bind.SlackBuild
===================================================================
--- npl/internetserver/bind/bind.SlackBuild	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/internetserver/bind/bind.SlackBuild	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
@@ -1,197 +1,31 @@
-#!/bin/sh
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/n/bind/
+# Created at Fri Jan 20 21:49:55 CET 2017
 #DEP:openssl
-# Set initial variables:
+#DEP:readline
+#DEP:idnkit
+
+########### source original slackbuild (hopefully we dont need to modify it)
 CWD=`pwd`
-if [ "$TMP" = "" ]; then
-  TMP=/tmp
-fi
-PKG=$TMP/package-bind
-rm -rf $PKG
-
-VERSION=9.5.1-P2
-PVER=9.5.1_P2
-ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
-
-# Edit these library versions with each release:
-#LIBBINDVER=0.0.5
-#LIBDNSVER=20.0.2
-#LIBISCVER=9.1.5
-#LIBISCCCVER=0.2.1
-#LIBISCCFGVER=1.0.5
-#LIBLWRESVER=1.2.2
-
-# Determine major numbers:
-#LIBBINDMAJOR=`echo $LIBBINDVER | cut -f 1 -d .`
-#LIBDNSMAJOR=`echo $LIBDNSVER | cut -f 1 -d .`
-#LIBISCMAJOR=`echo $LIBISCVER | cut -f 1 -d .`
-#LIBISCCCMAJOR=`echo $LIBISCCCVER | cut -f 1 -d .`
-#LIBISCCFGMAJOR=`echo $LIBISCCFGVER | cut -f 1 -d .`
-#LIBLWRESMAJOR=`echo $LIBLWRESVER | cut -f 1 -d .`
-
-if [ "$ARCH" = "i386" ]; then
-  SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
-elif [ "$ARCH" = "i486" ]; then
-  SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
-elif [ "$ARCH" = "s390" ]; then
-  SLKCFLAGS="-O2"
-elif [ "$ARCH" = "x86_64" ]; then
-  SLKCFLAGS="-O2"
-fi
-
-if [ ! -d $TMP ]; then
-  mkdir -p $TMP # location to build the source
-fi
-rm -rf $PKG
-mkdir -p $PKG
-
-# Explode the package framework:
-cd $PKG
-explodepkg $CWD/_bind.tar.gz
-
-cd $TMP
-rm -rf bind-$VERSION
-tar xzvf $CWD/bind-$VERSION.tar.gz || exit 1
-cd bind-$VERSION
-
-chown -R root.root .
-find . -perm 775 -exec chmod 755 {} \;
-find . -perm 664 -exec chmod 644 {} \;
-# We want to use /var/run/named/, not just /var/run/.
-# This allows changing the ownership of that directory if we want to run
-# named as a non-root user.
-zcat $CWD/bind.var.run.named.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
-# Threads break '-u' on Linux (for now)
-CFLAGS="$SLKCFLAGS" \
-./configure \
-       --prefix=/usr \
-       --sysconfdir=/etc \
-       --localstatedir=/var \
-       --with-libtool \
-       --enable-shared \
-       --disable-threads \
-       --with-openssl=/usr \
-       $ARCH-slackware-linux || exit 1
-make -j1 || exit 1
-cat isc-config.sh > $PKG/usr/bin/isc-config.sh
-chmod 755 $PKG/usr/bin/isc-config.sh
-chown root.bin $PKG/usr/bin/isc-config.sh
-cat contrib/named-bootconf/named-bootconf.sh > $PKG/usr/sbin/named-bootconf.sh
-cd bin/check/.libs
-cat named-checkconf > $PKG/usr/sbin/named-checkconf
-cat named-checkzone > $PKG/usr/sbin/named-checkzone
-cd ../../dig/.libs
-cat dig > $PKG/usr/bin/dig
-cat host > $PKG/usr/bin/host
-cat nslookup > $PKG/usr/bin/nslookup
-cd ../../dnssec/.libs
-cat dnssec-keygen > $PKG/usr/sbin/dnssec-keygen
-# obsolete
-#cat dnssec-makekeyset > $PKG/usr/sbin/dnssec-makekeyset
-#cat dnssec-signkey > $PKG/usr/sbin/dnssec-signkey
-cat dnssec-signzone > $PKG/usr/sbin/dnssec-signzone
-cd ../../named/.libs
-#rm lwresd
-cat named > $PKG/usr/sbin/named
-( cd $PKG/usr/sbin ; ln -sf named lwresd )
-cd ../../nsupdate/.libs
-cat nsupdate > $PKG/usr/bin/nsupdate
-cd ../../rndc/.libs
-cat rndc > $PKG/usr/sbin/rndc
-cat rndc-confgen > $PKG/usr/sbin/rndc-confgen
-cd ..
-mkdir -p $PKG/usr/doc/bind-$VERSION/misc
-cat rndc.conf > $PKG/usr/doc/bind-$VERSION/misc/rndc.conf-sample
-chmod 600 $PKG/usr/doc/bind-$VERSION/misc/rndc.conf-sample
-cd ../../lib/bind9/.libs
-cp -a libbind9.so.* $PKG/usr/lib || exit 1
-#chmod 755 $PKG/usr/lib/libbind9.so.*
-#( cd $PKG/usr/lib ; rm -rf libbind9.so.${LIBBINDMAJOR} ; ln -sf libbind9.so.${LIBBINDVER} libbind.so.${LIBBINDMAJOR} )
-cd ../../dns/.libs
-cp -a libdns.so.* $PKG/usr/lib || exit 1
-#chmod 755 $PKG/usr/lib/libdns.so.${LIBDNSVER}
-#( cd $PKG/usr/lib ; rm -rf libdns.so.${LIBDNSMAJOR} ; ln -sf libdns.so.${LIBDNSVER} libdns.so.${LIBDNSMAJOR} )
-cd ../../isc/.libs
-cp -a libisc.so.* $PKG/usr/lib  || exit 1
-#chmod 755 $PKG/usr/lib/libisc.so.${LIBISCVER}
-#( cd $PKG/usr/lib ; rm -rf libisc.so.${LIBISCMAJOR} ; ln -sf libisc.so.${LIBISCVER} libisc.so.${LIBISCMAJOR} )
-cd ../../isccc/.libs
-cp -a libisccc.so.* $PKG/usr/lib || exit 1
-#chmod 755 $PKG/usr/lib/libisccc.so.${LIBISCCCVER}
-#( cd $PKG/usr/lib ; rm -rf libisccc.so.${LIBISCCCMAJOR} ; ln -sf libisccc.so.${LIBISCCCVER} libisccc.so.${LIBISCCCMAJOR} )
-cd ../../isccfg/.libs
-cp -a libisccfg.so.* $PKG/usr/lib || exit 1
-#chmod 755 $PKG/usr/lib/libisccfg.so.${LIBISCCFGVER}
-#( cd $PKG/usr/lib ; rm -rf libisccfg.so.${LIBISCCFGMAJOR} ; ln -sf libisccfg.so.${LIBISCCFGVER} libisccfg.so.${LIBISCCFGMAJOR} )
-cd ../../lwres/.libs
-cp -a liblwres.so.* $PKG/usr/lib || exit 1
-#chmod 755 $PKG/usr/lib/liblwres.so.${LIBLWRESVER}
-#( cd $PKG/usr/lib ; rm -rf liblwres.so.${LIBLWRESMAJOR} ; ln -sf liblwres.so.${LIBLWRESVER} liblwres.so.${LIBLWRESMAJOR} )
-#mkdir -p $PKG/usr/man/man{1,5,8}
-cd ../../../bin
-cat dig/dig.1 | gzip -9c > $PKG/usr/man/man1/dig.1.gz
-cat dig/host.1 | gzip -9c > $PKG/usr/man/man1/host.1.gz
-cat rndc/rndc.conf.5 | gzip -9c > $PKG/usr/man/man5/rndc.conf.5.gz
-cat check/named-checkconf.8 | gzip -9c > $PKG/usr/man/man8/named-checkconf.8.gz
-cat check/named-checkzone.8 | gzip -9c > $PKG/usr/man/man8/named-checkzone.8.gz
-cat dnssec/dnssec-keygen.8 | gzip -9c > $PKG/usr/man/man8/dnssec-keygen.8.gz
-# obsolete
-#cat dnssec/dnssec-makekeyset.8 | gzip -9c > $PKG/usr/man/man8/dnssec-makekeyset.8.gz
-#cat dnssec/dnssec-signkey.8 | gzip -9c > $PKG/usr/man/man8/dnssec-signkey.8.gz
-cat dnssec/dnssec-signzone.8 | gzip -9c > $PKG/usr/man/man8/dnssec-signzone.8.gz
-cat named/lwresd.8 | gzip -9c > $PKG/usr/man/man8/lwresd.8.gz
-cat named/named.8 | gzip -9c > $PKG/usr/man/man8/named.8.gz
-cat nsupdate/nsupdate.8 | gzip -9c > $PKG/usr/man/man8/nsupdate.8.gz
-cat rndc/rndc-confgen.8 | gzip -9c > $PKG/usr/man/man8/rndc-confgen.8.gz
-cat rndc/rndc.8 | gzip -9c > $PKG/usr/man/man8/rndc.8.gz
-cd ../doc
-mkdir -p $PKG/usr/doc/bind-$VERSION
-cp -a arm misc $PKG/usr/doc/bind-$VERSION
-cd ..
-cp -a CHANGES COPYRIGHT FAQ README $PKG/usr/doc/bind-$VERSION
-( cd $PKG/usr/doc/bind-$VERSION
-  find . -type f | xargs chmod 644
-  # This one should have the correct perms of the config file:
-  chmod 600 misc/rndc.conf-sample )
-( cd $PKG
-  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
-
-# Add sample config files for a simple caching nameserver:
-
-cat $CWD/caching-example/named.conf > $PKG/etc/named.conf.new
-cat $CWD/caching-example/localhost.zone > $PKG/var/named/caching-example/localhost.zone
-cat $CWD/caching-example/named.ca > $PKG/var/named/caching-example/named.ca
-cat $CWD/caching-example/named.local > $PKG/var/named/caching-example/named.local
-
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-
-mkdir -p $PKG/service/bind
-cp $CWD/run $PKG/service/bind/run
-chmod +x $PKG/service/bind/run || exit 1
-
-rm -r $PKG/etc/rc.d
-
-# Build seperate tools package
-mkdir -p /tmp/bindtools/usr
-mv $PKG/usr/bin /tmp/bindtools/usr || exit 1
-mv $PKG/usr/lib /tmp/bindtools/usr || exit 1
-
-pushd /tmp/bindtools
-NAME=bind_tools
-makepkg -l y -c n $CWD/$NAME.pkg > /dev/null || exit 1
-echo $PVER > $CWD/$NAME.version || exit 1
-echo $ARCH > $CWD/$NAME.arch || exit 1
-popd
-
-# Build the package:
-cd $PKG
-NAME=`echo $0|cut -f2 -d'.'`
-makepkg -l y -c n $CWD/$NAME.pkg > /dev/null || exit 1
-echo $PVER > $CWD/$NAME.version || exit 1
-echo $ARCH > $CWD/$NAME.arch || exit 1
+set -e
+source ./bind.SlackBuild.orig
 
 
+############ make syn3 packages
+cd $CWD
+VERSION=`echo $VERSION|sed 's/-/_/g'`
+for PKG in /bind-*/package-bind; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
 
+        #config in seperate package
+        rm -rf $PKG/etc 2>/dev/null|| true
+        
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/internetserver/bind/bind.SlackBuild.orig
===================================================================
--- npl/internetserver/bind/bind.SlackBuild.orig	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
+++ npl/internetserver/bind/bind.SlackBuild.orig	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
@@ -0,0 +1,163 @@
+#!/bin/sh
+
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016  Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=bind
+VERSION=${VERSION:-9.11.0-P2}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i586 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=/bind-$(mcookie)
+PKG=$TMP/package-${PKGNAM}
+rm -rf $PKG
+mkdir -p $TMP $PKG/etc/default
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+fi
+
+cd $TMP
+rm -rf ${PKGNAM}-${VERSION}
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.gz || exit 1
+cd ${PKGNAM}-$VERSION || exit 1
+
+# Remove use of SO_BSDCOMPAT which has been obsolete since the 2.2.x kernel
+# series, and generates warnings under 2.6.x kernels.  This _might_ be fixed
+# upstream already, but an explicit #undef SO_BSDCOMPAT does not hurt:
+zcat $CWD/bind.so_bsdcompat.diff.gz | patch -p1 --verbose || exit
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Configure:
+CFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --sysconfdir=/etc \
+  --localstatedir=/var \
+  --with-libtool \
+  --with-idn=/usr \
+  --mandir=/usr/man \
+  --enable-shared \
+  --disable-static \
+  --enable-threads \
+  --with-openssl=/usr \
+  --build=$ARCH-slackware-linux || exit 1
+
+# Build and install:
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# We like symlinks.
+( cd $PKG/usr/sbin
+  ln -sf named lwresd
+)
+
+# We like a lot of symlinks.
+( cd $PKG/usr/man/man3
+  sh $CWD/3link.sh
+)
+
+# Install init script:
+mkdir -p $PKG/etc/rc.d
+cp -a $CWD/rc.bind $PKG/etc/rc.d/rc.bind.new
+chmod 644 $PKG/etc/rc.d/rc.bind.new
+
+# Add /var/run/named directory:
+mkdir -p $PKG/var/run/named
+
+# Fix library perms:
+chmod 755 $PKG/usr/lib${LIBDIRSUFFIX}/*
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Symlink hardlinked man pages:
+( cd $PKG/usr/man/man1
+  ln -sf isc-config.sh.1 bind9-config.1
+)
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do
+  ln -s $( readlink $i ).gz $i.gz
+  rm $i
+done
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+  CHANGES COPYRIGHT FAQ* README* \
+  doc/arm doc/misc \
+  $PKG/usr/doc/${PKGNAM}-$VERSION 
+
+# This one should have the correct perms of the config file:
+#chmod 644 $PKG/usr/doc/${PKGNAM}-$VERSION/misc/rndc.conf-sample
+
+# One format of this is plenty.  Especially get rid of the bloated PDF.
+( cd $PKG/usr/doc/bind-$VERSION/arm
+  rm -f Makefile* *.pdf *.xml README.SGML latex-fixup.pl
+)
+
+# Add sample config files for a simple caching nameserver:
+mkdir -p $PKG/var/named/caching-example
+cat $CWD/caching-example/named.conf > $PKG/etc/named.conf.new
+cat $CWD/caching-example/localhost.zone > $PKG/var/named/caching-example/localhost.zone
+cat $CWD/caching-example/named.local > $PKG/var/named/caching-example/named.local
+cat $CWD/caching-example/named.root > $PKG/var/named/caching-example/named.root
+# This name is deprecated, but having it here doesn't hurt in case
+# an old configuration file wants it:
+cat $CWD/caching-example/named.root > $PKG/var/named/caching-example/named.ca
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz
+
Index: npl/internetserver/bind/bind.arch
===================================================================
--- npl/internetserver/bind/bind.arch	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/internetserver/bind/bind.arch	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/internetserver/bind/bind.build
===================================================================
--- npl/internetserver/bind/bind.build	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/internetserver/bind/bind.build	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
@@ -1,1 +1,1 @@
-6526
+3
Index: npl/internetserver/bind/bind.depver
===================================================================
--- npl/internetserver/bind/bind.depver	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/internetserver/bind/bind.depver	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
@@ -1,1 +1,3 @@
 openssl	5
+readline	1
+idnkit	0
Index: npl/internetserver/bind/bind.md5
===================================================================
--- npl/internetserver/bind/bind.md5	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/internetserver/bind/bind.md5	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
@@ -1,15 +1,19 @@
-0778fe5dbf8ef8477032e9f6a33ed9b0  ./bind-9.5.1-P2.tar.gz
-9a0e0d7f67afadf332bad809e3121b99  ./bind.pkg
-0ab2f314e11f048283d969e1149c066e  ./bind.SlackBuild
-ae94ca5bb11340a82dbbda6f86a155c5  ./bind.SlackBuild.log.gz
-1da326ec19d547bd9818255e363d254f  ./_bind.tar.gz
-8c5f7b4071c3f6156e081c68f7e21aa1  ./bind_tools.pkg
-a379c0f7e102c1c497fcd7a4a3dffa1c  ./bind.var.run.named.diff.gz
+8cb420736cda4a07db68859c529730c1  ./3link.sh
+b8ccec541de18ac2716e7a8268baaaba  ./bind-9.11.0-P2.tar.gz
+ca16bb53a21665ceba98eebf0ac51e58  ./bind-9.11.0-P2.tar.gz.asc
+ca16bb53a21665ceba98eebf0ac51e58  ./bind-9.11.0-P2.tar.gz.sha1.asc
+e74572cabe97319921b8fdee710f03e0  ./bind-9.11.0-P2.tar.gz.sha256.asc
+6f4d047e18cea41ec8a77fc2417aabe6  ./bind-9.11.0-P2.tar.gz.sha512.asc
+3840e733ed1b1292bbc92f971f54dd85  ./bind_dev.pkg
+96e873995019896041680ba50950306f  ./bind.pkg
+f8ff3f66170bedd04ab142fd92114455  ./bind.SlackBuild
+e58fdadf7e2e7d142d5f30b74c271865  ./bind.SlackBuild.log.gz
+55373f1b640c38e1f26b4f1fe157245c  ./bind.SlackBuild.orig
+8f3b3396b8e564471bf6c455372a7355  ./bind.so_bsdcompat.diff.gz
 3a0a4891bece81516fb75376b91935e5  ./caching-example/localhost.zone
-c17d2e4325d3fdcc247188e8f26a059e  ./caching-example/named.ca
-292c54e56815e9df7f0d69ae8161511e  ./caching-example/named.conf
-1f73d9fa8b4f1f42ec1ded9eda301599  ./caching-example/named.local
-7fb1336fbbebee67b8fa1387c342cf6c  ./index.html
-7fb1336fbbebee67b8fa1387c342cf6c  ./index.html.1
-e5ec3e2b6e7b2c7da84e320675a9f7b0  ./run
+9ba775f656e281446dcbc9c0d0ecb44d  ./caching-example/named.conf
+53b5e4811cb28bcee52ac07179d3f6ae  ./caching-example/named.local
+89241448b08af70dd5715e7ef12d71f6  ./caching-example/named.root
+8a6d0f34f425c48a54579c9ecf76af6a  ./doinst.sh.gz
+5c3f1865939b379abfb582ae22b19712  ./rc.bind
 15f642e71235b342b82a80830aa29579  ./slack-desc
Index: npl/internetserver/bind/bind.version
===================================================================
--- npl/internetserver/bind/bind.version	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/internetserver/bind/bind.version	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
@@ -1,1 +1,1 @@
-9.5.1_P2
+9.11.0_P2
Index: npl/internetserver/bind/bind_dev.arch
===================================================================
--- npl/internetserver/bind/bind_dev.arch	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
+++ npl/internetserver/bind/bind_dev.arch	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
@@ -0,0 +1,1 @@
+i586
Index: npl/internetserver/bind/bind_dev.build
===================================================================
--- npl/internetserver/bind/bind_dev.build	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
+++ npl/internetserver/bind/bind_dev.build	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
@@ -0,0 +1,1 @@
+3
Index: npl/internetserver/bind/bind_dev.version
===================================================================
--- npl/internetserver/bind/bind_dev.version	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
+++ npl/internetserver/bind/bind_dev.version	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
@@ -0,0 +1,1 @@
+9.11.0_P2
Index: npl/internetserver/bind/bind_tools.arch
===================================================================
--- npl/internetserver/bind/bind_tools.arch	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ 	(revision )
@@ -1,1 +1,0 @@
-i486
Index: npl/internetserver/bind/bind_tools.build
===================================================================
--- npl/internetserver/bind/bind_tools.build	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6526
Index: npl/internetserver/bind/bind_tools.version
===================================================================
--- npl/internetserver/bind/bind_tools.version	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ 	(revision )
@@ -1,1 +1,0 @@
-9.5.1_P2
Index: npl/internetserver/bind/caching-example/named.ca
===================================================================
--- npl/internetserver/bind/caching-example/named.ca	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ 	(revision )
@@ -1,80 +1,0 @@
-;       This file holds the information on root name servers needed to
-;       initialize cache of Internet domain name servers
-;       (e.g. reference this file in the "cache  .  <file>"
-;       configuration file of BIND domain name servers).
-;
-;       This file is made available by InterNIC 
-;       under anonymous FTP as
-;           file                /domain/named.root
-;           on server           FTP.INTERNIC.NET
-;       -OR-                    RS.INTERNIC.NET
-;
-;       last update:    Jan 29, 2004
-;       related version of root zone:   2004012900
-;
-;
-; formerly NS.INTERNIC.NET
-;
-.                        3600000  IN  NS    A.ROOT-SERVERS.NET.
-A.ROOT-SERVERS.NET.      3600000      A     198.41.0.4
-;
-; formerly NS1.ISI.EDU
-;
-.                        3600000      NS    B.ROOT-SERVERS.NET.
-B.ROOT-SERVERS.NET.      3600000      A     192.228.79.201
-;
-; formerly C.PSI.NET
-;
-.                        3600000      NS    C.ROOT-SERVERS.NET.
-C.ROOT-SERVERS.NET.      3600000      A     192.33.4.12
-;
-; formerly TERP.UMD.EDU
-;
-.                        3600000      NS    D.ROOT-SERVERS.NET.
-D.ROOT-SERVERS.NET.      3600000      A     128.8.10.90
-;
-; formerly NS.NASA.GOV
-;
-.                        3600000      NS    E.ROOT-SERVERS.NET.
-E.ROOT-SERVERS.NET.      3600000      A     192.203.230.10
-;
-; formerly NS.ISC.ORG
-;
-.                        3600000      NS    F.ROOT-SERVERS.NET.
-F.ROOT-SERVERS.NET.      3600000      A     192.5.5.241
-;
-; formerly NS.NIC.DDN.MIL
-;
-.                        3600000      NS    G.ROOT-SERVERS.NET.
-G.ROOT-SERVERS.NET.      3600000      A     192.112.36.4
-;
-; formerly AOS.ARL.ARMY.MIL
-;
-.                        3600000      NS    H.ROOT-SERVERS.NET.
-H.ROOT-SERVERS.NET.      3600000      A     128.63.2.53
-;
-; formerly NIC.NORDU.NET
-;
-.                        3600000      NS    I.ROOT-SERVERS.NET.
-I.ROOT-SERVERS.NET.      3600000      A     192.36.148.17
-;
-; operated by VeriSign, Inc.
-;
-.                        3600000      NS    J.ROOT-SERVERS.NET.
-J.ROOT-SERVERS.NET.      3600000      A     192.58.128.30
-;
-; operated by RIPE NCC
-;
-.                        3600000      NS    K.ROOT-SERVERS.NET.
-K.ROOT-SERVERS.NET.      3600000      A     193.0.14.129 
-;
-; operated by ICANN
-;
-.                        3600000      NS    L.ROOT-SERVERS.NET.
-L.ROOT-SERVERS.NET.      3600000      A     198.32.64.12
-;
-; operated by WIDE
-;
-.                        3600000      NS    M.ROOT-SERVERS.NET.
-M.ROOT-SERVERS.NET.      3600000      A     202.12.27.33
-; End of File
Index: npl/internetserver/bind/caching-example/named.conf
===================================================================
--- npl/internetserver/bind/caching-example/named.conf	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/internetserver/bind/caching-example/named.conf	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
@@ -16,5 +16,5 @@
 zone "." IN {
 	type hint;
-	file "caching-example/named.ca";
+	file "caching-example/named.root";
 };
 
Index: npl/internetserver/bind/caching-example/named.local
===================================================================
--- npl/internetserver/bind/caching-example/named.local	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/internetserver/bind/caching-example/named.local	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
@@ -1,5 +1,5 @@
 $TTL	86400
 @       IN      SOA     localhost. root.localhost.  (
-                                      1997022700 ; Serial
+                                      2011032500 ; Serial
                                       28800      ; Refresh
                                       14400      ; Retry
Index: npl/internetserver/bind/caching-example/named.root
===================================================================
--- npl/internetserver/bind/caching-example/named.root	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
+++ npl/internetserver/bind/caching-example/named.root	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
@@ -0,0 +1,90 @@
+;       This file holds the information on root name servers needed to
+;       initialize cache of Internet domain name servers
+;       (e.g. reference this file in the "cache  .  <file>"
+;       configuration file of BIND domain name servers).
+;
+;       This file is made available by InterNIC 
+;       under anonymous FTP as
+;           file                /domain/named.cache
+;           on server           FTP.INTERNIC.NET
+;       -OR-                    RS.INTERNIC.NET
+;
+;       last update:    November 05, 2014
+;       related version of root zone:   2014110501
+;
+; formerly NS.INTERNIC.NET
+;
+.                        3600000      NS    A.ROOT-SERVERS.NET.
+A.ROOT-SERVERS.NET.      3600000      A     198.41.0.4
+A.ROOT-SERVERS.NET.      3600000      AAAA  2001:503:ba3e::2:30
+;
+; FORMERLY NS1.ISI.EDU
+;
+.                        3600000      NS    B.ROOT-SERVERS.NET.
+B.ROOT-SERVERS.NET.      3600000      A     192.228.79.201
+B.ROOT-SERVERS.NET.      3600000      AAAA  2001:500:84::b
+;
+; FORMERLY C.PSI.NET
+;
+.                        3600000      NS    C.ROOT-SERVERS.NET.
+C.ROOT-SERVERS.NET.      3600000      A     192.33.4.12
+C.ROOT-SERVERS.NET.      3600000      AAAA  2001:500:2::c
+;
+; FORMERLY TERP.UMD.EDU
+;
+.                        3600000      NS    D.ROOT-SERVERS.NET.
+D.ROOT-SERVERS.NET.      3600000      A     199.7.91.13
+D.ROOT-SERVERS.NET.      3600000      AAAA  2001:500:2d::d
+;
+; FORMERLY NS.NASA.GOV
+;
+.                        3600000      NS    E.ROOT-SERVERS.NET.
+E.ROOT-SERVERS.NET.      3600000      A     192.203.230.10
+;
+; FORMERLY NS.ISC.ORG
+;
+.                        3600000      NS    F.ROOT-SERVERS.NET.
+F.ROOT-SERVERS.NET.      3600000      A     192.5.5.241
+F.ROOT-SERVERS.NET.      3600000      AAAA  2001:500:2f::f
+;
+; FORMERLY NS.NIC.DDN.MIL
+;
+.                        3600000      NS    G.ROOT-SERVERS.NET.
+G.ROOT-SERVERS.NET.      3600000      A     192.112.36.4
+;
+; FORMERLY AOS.ARL.ARMY.MIL
+;
+.                        3600000      NS    H.ROOT-SERVERS.NET.
+H.ROOT-SERVERS.NET.      3600000      A     128.63.2.53
+H.ROOT-SERVERS.NET.      3600000      AAAA  2001:500:1::803f:235
+;
+; FORMERLY NIC.NORDU.NET
+;
+.                        3600000      NS    I.ROOT-SERVERS.NET.
+I.ROOT-SERVERS.NET.      3600000      A     192.36.148.17
+I.ROOT-SERVERS.NET.      3600000      AAAA  2001:7fe::53
+;
+; OPERATED BY VERISIGN, INC.
+;
+.                        3600000      NS    J.ROOT-SERVERS.NET.
+J.ROOT-SERVERS.NET.      3600000      A     192.58.128.30
+J.ROOT-SERVERS.NET.      3600000      AAAA  2001:503:c27::2:30
+;
+; OPERATED BY RIPE NCC
+;
+.                        3600000      NS    K.ROOT-SERVERS.NET.
+K.ROOT-SERVERS.NET.      3600000      A     193.0.14.129
+K.ROOT-SERVERS.NET.      3600000      AAAA  2001:7fd::1
+;
+; OPERATED BY ICANN
+;
+.                        3600000      NS    L.ROOT-SERVERS.NET.
+L.ROOT-SERVERS.NET.      3600000      A     199.7.83.42
+L.ROOT-SERVERS.NET.      3600000      AAAA  2001:500:3::42
+;
+; OPERATED BY WIDE
+;
+.                        3600000      NS    M.ROOT-SERVERS.NET.
+M.ROOT-SERVERS.NET.      3600000      A     202.12.27.33
+M.ROOT-SERVERS.NET.      3600000      AAAA  2001:dc3::35
+; End of file
Index: npl/internetserver/bind/index.html
===================================================================
--- npl/internetserver/bind/index.html	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ 	(revision )
@@ -1,17 +1,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
-<html>
- <head>
-  <title>Index of /mirror/slackware/slackware-10.2/source/n/bind</title>
- </head>
- <body>
-<h1>Index of /mirror/slackware/slackware-10.2/source/n/bind</h1>
-<pre><img src="/icons/blank.gif" alt="Icon "> <a href="?C=N;O=D">Name</a>                                       <a href="?C=M;O=A">Last modified</a>      <a href="?C=S;O=A">Size</a>  <a href="?C=D;O=A">Description</a><hr><img src="/icons/back.gif" alt="[DIR]"> <a href="/mirror/slackware/slackware-10.2/source/n/">Parent Directory</a>                                                -   
-<img src="/icons/compressed.gif" alt="[CMP]"> <a href="_bind.tar.gz">_bind.tar.gz</a>                               02-May-2005 02:44  1.7K  
-<img src="/icons/compressed.gif" alt="[CMP]"> <a href="bind-9.3.1.tar.gz">bind-9.3.1.tar.gz</a>                          10-Mar-2005 23:19  4.5M  
-<img src="/icons/compressed.gif" alt="[CMP]"> <a href="bind-9.3.1.tar.gz.asc">bind-9.3.1.tar.gz.asc</a>                      10-Mar-2005 23:19  186   
-<img src="/icons/unknown.gif" alt="[   ]"> <a href="bind.SlackBuild">bind.SlackBuild</a>                            02-May-2005 02:55  6.4K  
-<img src="/icons/compressed.gif" alt="[CMP]"> <a href="bind.var.run.named.diff.gz">bind.var.run.named.diff.gz</a>                 27-Feb-2002 03:51  290   
-<img src="/icons/folder.gif" alt="[DIR]"> <a href="caching-example/">caching-example/</a>                           18-May-2001 04:12    -   
-<img src="/icons/unknown.gif" alt="[   ]"> <a href="slack-desc">slack-desc</a>                                 27-Feb-2002 03:45  791   
-<hr></pre>
-</body></html>
Index: npl/internetserver/bind/index.html.1
===================================================================
--- npl/internetserver/bind/index.html.1	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ 	(revision )
@@ -1,17 +1,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
-<html>
- <head>
-  <title>Index of /mirror/slackware/slackware-10.2/source/n/bind</title>
- </head>
- <body>
-<h1>Index of /mirror/slackware/slackware-10.2/source/n/bind</h1>
-<pre><img src="/icons/blank.gif" alt="Icon "> <a href="?C=N;O=D">Name</a>                                       <a href="?C=M;O=A">Last modified</a>      <a href="?C=S;O=A">Size</a>  <a href="?C=D;O=A">Description</a><hr><img src="/icons/back.gif" alt="[DIR]"> <a href="/mirror/slackware/slackware-10.2/source/n/">Parent Directory</a>                                                -   
-<img src="/icons/compressed.gif" alt="[CMP]"> <a href="_bind.tar.gz">_bind.tar.gz</a>                               02-May-2005 02:44  1.7K  
-<img src="/icons/compressed.gif" alt="[CMP]"> <a href="bind-9.3.1.tar.gz">bind-9.3.1.tar.gz</a>                          10-Mar-2005 23:19  4.5M  
-<img src="/icons/compressed.gif" alt="[CMP]"> <a href="bind-9.3.1.tar.gz.asc">bind-9.3.1.tar.gz.asc</a>                      10-Mar-2005 23:19  186   
-<img src="/icons/unknown.gif" alt="[   ]"> <a href="bind.SlackBuild">bind.SlackBuild</a>                            02-May-2005 02:55  6.4K  
-<img src="/icons/compressed.gif" alt="[CMP]"> <a href="bind.var.run.named.diff.gz">bind.var.run.named.diff.gz</a>                 27-Feb-2002 03:51  290   
-<img src="/icons/folder.gif" alt="[DIR]"> <a href="caching-example/">caching-example/</a>                           18-May-2001 04:12    -   
-<img src="/icons/unknown.gif" alt="[   ]"> <a href="slack-desc">slack-desc</a>                                 27-Feb-2002 03:45  791   
-<hr></pre>
-</body></html>
Index: npl/internetserver/bind/rc.bind
===================================================================
--- npl/internetserver/bind/rc.bind	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
+++ npl/internetserver/bind/rc.bind	(revision 1a19ecd9d454707db06839c1bf15a369fb635631)
@@ -0,0 +1,112 @@
+#!/bin/sh
+# Start/stop/restart the BIND name server daemon (named).
+
+
+# Start bind. In the past it was more secure to run BIND as a non-root
+# user (for example, with '-u daemon'), but the modern version of BIND
+# knows how to use the kernel's capability mechanism to drop all root
+# privileges except the ability to bind() to a privileged port and set
+# process resource limits, so -u should not be needed.  If you wish to
+# use it anyway, chown the /var/run/named and /var/named directories to
+# the non-root user. The command options can be set like this in
+# /etc/default/named :
+#       NAMED_OPTIONS="-u daemon"
+# So you will not have to edit this script.
+
+# You might also consider running BIND in a "chroot jail",
+# a discussion of which may be found in
+# /usr/doc/Linux-HOWTOs/Chroot-BIND-HOWTO.
+ 
+# One last note:  rndc has a lot of other nice features that it is not
+# within the scope of this start/stop/restart script to support.
+# For more details, see "man rndc" or just type "rndc" to see the options.
+
+# Load command defaults:
+if [ -f /etc/default/named ] ; then . /etc/default/named ; fi
+if [ -f /etc/default/rndc ] ; then . /etc/default/rndc ; fi
+
+# Sanity check.  If /usr/sbin/named is missing then it
+# doesn't make much sense to try to run this script:
+if [ ! -x /usr/sbin/named ]; then
+  echo "/etc/rc.d/rc.bind:  no /usr/sbin/named found (or not executable); cannot start."
+  exit 1
+fi
+
+# Start BIND.  As many times as you like.  ;-)
+# Seriously, don't run "rc.bind start" if BIND is already
+# running or you'll get more than one copy running.
+bind_start() {
+  if [ -x /usr/sbin/named ]; then
+    echo "Starting BIND:  /usr/sbin/named $NAMED_OPTIONS"
+    /usr/sbin/named $NAMED_OPTIONS
+    sleep 1
+  fi
+  if ! ps axc | grep -q named ; then
+    echo "WARNING:  named did not start."
+    echo "Attempting to start named again:  /usr/sbin/named $NAMED_OPTIONS"
+    /usr/sbin/named $NAMED_OPTIONS
+    sleep 1
+    if ps axc | grep -q named ; then
+      echo "SUCCESS:  named started."
+    else
+      echo "FAILED:  Sorry, a second attempt to start named has also failed."
+      echo "There may be a configuration error that needs fixing.  Good luck!"
+    fi
+  fi
+}
+
+# Stop all running copies of BIND (/usr/sbin/named):
+bind_stop() {
+  echo "Stopping BIND:  /usr/sbin/rndc $RDNC_OPTIONS stop"
+  /usr/sbin/rndc $RDNC_OPTIONS stop
+  # A problem with using "/usr/sbin/rndc stop" is that if you
+  # managed to get multiple copies of named running it will
+  # only stop one of them and then can't stop the others even
+  # if you run it again.  So, after doing things the nice way
+  # we'll do them the old-fashioned way.  If you don't like
+  # it you can comment it out, but unless you have a lot of
+  # other programs you run called "named" this is unlikely
+  # to have any ill effects:
+  sleep 1
+  if ps axc | grep -q named ; then
+    echo "Using "killall named" on additional BIND processes..."
+    /bin/killall named 2> /dev/null
+  fi
+}
+
+# Reload BIND:
+bind_reload() {
+  /usr/sbin/rndc $RDNC_OPTIONS reload
+}
+
+# Restart BIND:
+bind_restart() {
+  bind_stop
+  bind_start
+}
+
+# Get BIND status:
+bind_status() {
+  /usr/sbin/rndc $RDNC_OPTIONS status
+}
+
+case "$1" in
+'start')
+  bind_start
+  ;;
+'stop')
+  bind_stop
+  ;;
+'reload')
+  bind_reload
+  ;;
+'restart')
+  bind_restart
+  ;;
+'status')
+  bind_status
+  ;;
+*)
+  echo "usage $0 start|stop|reload|restart|status"
+esac
+
Index: npl/internetserver/bind/run
===================================================================
--- npl/internetserver/bind/run	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ 	(revision )
@@ -1,3 +1,0 @@
-#!/bin/bash
-exec /usr/sbin/named -f
-
